#include <variablen.au3>

;~ Funktion [floppy erstellen} erstellt das virtuelle Floppy Drive
Func floppy_erstellen()
	;~ Starten des virtuellen Floppylaufwerks mit VFD(Virtual Floppy Drive)
	run(@ScriptDir & "\vfd.exe")

	; Warten bis das "vfd.exe" gestartet wurde -- bggf. besser "WaitWinActive" 
	WinWaitActive("Virtual Floppy Drive for Windows 2.1")
	
	; vfd.exe steuern; Instaliere virtuelles Laufwerk und starte den Treiber
	send("install{ENTER}")
	send("open{ENTER}")

	;~ eine Pause von 1,5 Sec einlegen
	Sleep($muss_Pause)
	; druecke "y" fuer "yes" -- damit das Laufwerk generiert wird.
	send("y{ENTER}")

	;~ eine Pause von 2,5 Sec einlegen fr die Optik
	Sleep($optik_Pause)
	send("exit{enter}")
EndFunc



;~ Funktion [floppy lschen] lscht das virtuelle Floppy Drive
Func floppy_loeschen()
	;~ Lschen des virtuellen Floppylaufwerks mit VFD(Virtual Floppy Drive)
	run(@ScriptDir & "\vfd.exe")

	; Warten bis das "vfd.exe" gestartet wurde -- bggf. besser "WaitWinActive" 
	WinWaitActive("Virtual Floppy Drive for Windows 2.1")
	
	; vfd.exe steuern; Instaliere virtuelles Laufwerk und starte den Treiber
	send("remove{ENTER}")

	;~ eine Pause von 2,5 Sec einlegen fr die Optik
	Sleep($optik_Pause)
	send("exit{enter}")
EndFunc


;~ Funktion [Diskettendaten auf Festplatte ziehen] zieht die Datein von der Sicherung auf dFestplatteF
Func daten_kopieren_festplatte()
	;~ eine Pause von 1,5 Sec einlegen
	Sleep($muss_Pause)
	; erstelln des Verzsichnisses fuer die Datensicherunddateien (ASR-Diskette)
	run ("cmd  /c mkdir "& $laufwerksbuchstabe_pfadname)
	;~ kopieren des Disketteninhalts nach $Pfadname; berschreiben von alteen Dateien ohne Rckfrage
	run ("cmd  /c xcopy /y a:\ "& $laufwerksbuchstabe_pfadname)		
EndFunc

;~ Gucken ob die Befehlszeile geschlossen wurde und wenn nicht wird "exit" eingeben
Func befehlszeile()
	If WinActive("cmd.exe") Then
		WinActivate("cmd.exe")
		Send("exit{enter}")
	EndIf
EndFunc